CREATE TABLE IF NOT EXISTS `moderatorlog` (
  `id`          int(10) unsigned      NOT NULL AUTO_INCREMENT,
  `ipid`        char(32)              NOT NULL DEFAULT '',
  `subnetid`    char(32)              NOT NULL DEFAULT '',
  `uid`         mediumint(8) unsigned NOT NULL DEFAULT '0',
  `val`         tinyint(4)            NOT NULL DEFAULT '0',
  `sid`         mediumint(8) unsigned NOT NULL DEFAULT '0',
  `ts`          datetime              NOT NULL DEFAULT '1970-01-01 00:00:00',
  `cid`         int(10) unsigned      NOT NULL DEFAULT '0',
  `cuid`        mediumint(8) unsigned NOT NULL DEFAULT '0',
  `reason`      tinyint(3) unsigned   DEFAULT '0',
  `active`      tinyint(4)            NOT NULL DEFAULT '1',
  `spent`       tinyint(4)            NOT NULL DEFAULT '1',
  `m2count`     mediumint(8) unsigned NOT NULL DEFAULT '0',
  `m2needed`    mediumint(8) unsigned DEFAULT '0',
  `m2status`    tinyint(4)            NOT NULL DEFAULT '0',
  `points_orig` tinyint(4)            DEFAULT NULL,
  PRIMARY KEY      (`id`),
  KEY `sid`        (`sid`,`cid`),
  KEY `ipid`       (`ipid`),
  KEY `subnetid`   (`subnetid`),
  KEY `sid_2`      (`cid`,`uid`,`sid`),
  KEY `uid`        (`uid`),
  KEY `cuid`       (`cuid`),
  KEY `m2stat_act` (`m2status`,`active`),
  KEY `ts_uid_sid` (`ts`,`uid`,`sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
