CREATE TABLE IF NOT EXISTS `people` (
  `id`       int(10) unsigned      NOT NULL AUTO_INCREMENT,
  `uid`      mediumint(8) unsigned NOT NULL DEFAULT '0',
  `person`   mediumint(8) unsigned NOT NULL DEFAULT '0',
  `type`     enum('friend','foe')  DEFAULT NULL,
  `perceive` enum('fan','freak')   DEFAULT NULL,
  `fof`      mediumint(8) unsigned NOT NULL DEFAULT '0',
  `eof`      mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY   `degree_of_separation` (`uid`,`person`),
  KEY `person` (`person`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
