CREATE TABLE IF NOT EXISTS `users_class` (
  `uid`                 mediumint(8) unsigned NOT NULL,
  `rookie`              tinyint(4)            NOT NULL DEFAULT '1',
  `rookie_cleared`      datetime              DEFAULT NULL,
  `validated_submitter` datetime              DEFAULT NULL,
  `validated_commenter` datetime              DEFAULT NULL,
  `validated_moderator` datetime              DEFAULT NULL,
  `story_passive`       datetime              DEFAULT NULL,
  `story_casual`        datetime              DEFAULT NULL,
  `story_rater`         datetime              DEFAULT NULL,
  `story_creator`       datetime              DEFAULT NULL,
  `story_hardcore`      datetime              DEFAULT NULL,
  `comment_passive`     datetime              DEFAULT NULL,
  `comment_casual`      datetime              DEFAULT NULL,
  `comment_rater`       datetime              DEFAULT NULL,
  `comment_creator`     datetime              DEFAULT NULL,
  `comment_hardcore`    datetime              DEFAULT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
