package Newslash::Model::Histories;
use Newslash::Model::Base -base;

use constant HISTORY_TABLE_NAME => 'ns_histories';

sub on_start_up {
    my $self = shift;

    # create tables
    return 1 if $self->check_readonly;

    my $table_name = HISTORY_TABLE_NAME;

    # under construction...
    return 1;

    if (!$self->table_exists($table_name)) {
        my $dbh = $self->connect_db;

        my $sql = <<"EOSQL";
CREATE TABLE IF NOT EXISTS $table_name (
  history_id  mediumint(8) unsigned AUTO_INCREMENT PRIMARY KEY,
  type        varchar(128) NOT NULL,
  status      varchar(128),
  uid         mediumint(8) unsigned NOT NULL,
  format      varchar(128),
  title	      mediumtext,
  introtext   mediumtext,
  bodytext    mediumtext,
  relatedtext mediumtext,
  dept        mediumtext,
  tags        mediumtext,
  related_id  mediumint(8) unsigned NOT NULL,
  timestamp   timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) DEFAULT CHARSET=utf8mb4
EOSQL
        my $rs = $dbh->do($sql, undef);
        $self->disconnect_db;
        if ($rs) {
            $self->warn("create table: $table_name");
        }
        else {
            $self->warn("cannot create table: $table_name");
        }
    }

    return 1;
}

