#!/usr/bin/python
# -*- coding: utf-8 -*-

import lucene_wrapper

def main():
    lucene_wrapper.init_vm()
    searcher = lucene_wrapper.Searcher(index_directory="./index")
    query = lucene_wrapper.Query("content_text", u"テスト")
    result = searcher.search(query)

    print("total hits: {}".format(result.total_hits))
    for item in result:
        print("#{} - {}: {}".format(item.number, item.id, item.content_text))

if __name__ == "__main__":
    main()
