CREATE TABLE IF NOT EXISTS `al2_log` (
  `al2lid`   int(10) unsigned      NOT NULL AUTO_INCREMENT,
  `srcid`    bigint(20) unsigned   NOT NULL DEFAULT '0',
  `ts`       datetime              NOT NULL DEFAULT '1970-01-01 00:00:00',
  `adminuid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `al2tid`   tinyint(3) unsigned   NOT NULL DEFAULT '0',
  `val`      enum('set','clear')   DEFAULT NULL,
  PRIMARY KEY            (`al2lid`),
  KEY `ts`               (`ts`),
  KEY `srcid_ts`         (`srcid`,`ts`),
  KEY `al2tid_val_srcid` (`al2tid`,`val`,`srcid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
