CREATE TABLE IF NOT EXISTS `pollquestions` (
  `qid`         mediumint(8) unsigned               NOT NULL AUTO_INCREMENT,
  `question`    varchar(255)                        NOT NULL DEFAULT '',
  `voters`      mediumint(9)                        DEFAULT NULL,
  `topic`       int(10) unsigned                    NOT NULL,
  `discussion`  mediumint(8) unsigned               NOT NULL DEFAULT '0',
  `date`        datetime                            DEFAULT NULL,
  `uid`         mediumint(8) unsigned               NOT NULL DEFAULT '0',
  `primaryskid` smallint(5) unsigned                DEFAULT NULL,
  `autopoll`    enum('no','yes')                    NOT NULL DEFAULT 'no',
  `flags`       enum('ok','delete','dirty')         NOT NULL DEFAULT 'ok',
  `polltype`    enum('nodisplay','section','story') DEFAULT 'section',
  PRIMARY KEY             (`qid`),
  KEY `uid`               (`uid`),
  KEY `discussion`        (`discussion`),
  KEY `ibfk_converttid_2` (`topic`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
