CREATE TABLE IF NOT EXISTS `urls` (
  `url_id`               int(10) unsigned      NOT NULL AUTO_INCREMENT,
  `url_digest`           varchar(32)           NOT NULL DEFAULT '',
  `url`                  mediumtext            NOT NULL,
  `is_success`           tinyint(4)            DEFAULT NULL,
  `createtime`           datetime              DEFAULT NULL,
  `last_attempt`         datetime              DEFAULT NULL,
  `last_success`         datetime              DEFAULT NULL,
  `believed_fresh_until` datetime              DEFAULT NULL,
  `status_code`          smallint(6)           DEFAULT NULL,
  `reason_phrase`        varchar(30)           DEFAULT NULL,
  `content_type`         varchar(60)           DEFAULT NULL,
  `initialtitle`         varchar(255)          DEFAULT NULL,
  `validatedtitle`       varchar(255)          DEFAULT NULL,
  `tags_top`             varchar(255)          NOT NULL DEFAULT '',
  `popularity`           float                 NOT NULL DEFAULT '0',
  `anon_bookmarks`       mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`url_id`),
  UNIQUE KEY  `url_digest` (`url_digest`),
  KEY `bfu`   (`believed_fresh_until`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
