CREATE TABLE IF NOT EXISTS `users_comments` (
  `uid`             mediumint(8) unsigned                      NOT NULL DEFAULT '0',
  `points`          smallint(5) unsigned                       NOT NULL DEFAULT '0',
  `posttype`        mediumint(9)                               NOT NULL DEFAULT '2',
  `defaultpoints`   tinyint(4)                                 NOT NULL DEFAULT '1',
  `highlightthresh` tinyint(4)                                 NOT NULL DEFAULT '4',
  `maxcommentsize`  smallint(5) unsigned                       NOT NULL DEFAULT '4096',
  `hardthresh`      tinyint(4)                                 NOT NULL DEFAULT '0',
  `clbig`           smallint(5) unsigned                       NOT NULL DEFAULT '0',
  `clsmall`         smallint(5) unsigned                       NOT NULL DEFAULT '0',
  `reparent`        tinyint(4)                                 NOT NULL DEFAULT '1',
  `nosigs`          tinyint(4)                                 NOT NULL DEFAULT '0',
  `commentlimit`    smallint(5) unsigned                       NOT NULL DEFAULT '100',
  `commentspill`    smallint(5) unsigned                       NOT NULL DEFAULT '50',
  `commentsort`     tinyint(4)                                 NOT NULL DEFAULT '0',
  `noscores`        tinyint(4)                                 NOT NULL DEFAULT '0',
  `mode`            enum('flat','nested','nocomment','thread') NOT NULL DEFAULT 'thread',
  `threshold`       tinyint(4)                                 NOT NULL DEFAULT '0',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
