package Newslash::Model::Stories::RelatedStories;
use Newslash::Model::Base -base;

sub key_definition {
    return {
            table => "related_stories",
            primary => "id",
            other => [qw(stoid rel_stoid rel_sid title url cid ordernum fhid)],
           };
}

sub select {
    my $self = shift;
    my $params = {@_};
    return $self->generic_select(params => $params);
}

sub update {
    my $self = shift;
    my $params = {@_};
    return $self->generic_update(params => $params);
}

sub insert {
    my $self = shift;
    my $params = {@_};
    return $self->generic_insert(params => $params);
}

sub delete {
    my $self = shift;
    my $params = {@_};
    return $self->generic_delete(params => $params);
}

1;
