package Newslash::Model::Stories::Text;
use Newslash::Model::Base -base;

sub key_definition {
    return {
            table => "story_text",
            other => [qw(stoid title introtext bodytext relatedtext rendered)],
            aliases => { intro_text => "introtext",
                         body_text => "bodytext",
                         related_text => "relatedtext",
                       }
           };
}

sub select {
    my $self = shift;
    my $params = {@_};
    return $self->generic_select(params => $params);
}

sub update {
    my $self = shift;
    my $params = {@_};
    return $self->generic_update(params => $params);
}

sub create {
    my $self = shift;
    my $params = {@_};
    return $self->generic_insert(params => $params);
}

1;
