package Newslash::Model::Users::Comments;
use Newslash::Model::Base -base;

sub key_definition {
    return {
            table => "users_comments",
            primary => "uid",
            addable => [qw(points posttype defaultpoints highlightthresh
                           maxcommentsize hardthresh clbig clsmall reparent nosigs
                           commentlimit commentspill commentsort noscores threshold)],
            other => [qw(mode)],
            aliases => { user_id => "uid",
                         id => "uid",
                       }
           };
};

sub select {
    my $self = shift;
    my $params = {@_};
    return $self->generic_select(params => $params);
}

sub update {
    my $self = shift;
    my $params = {@_};
    return $self->generic_update(params => $params);
}

1;
