/* repository-manager.js */
const repositoryManager = {vm: {}};

repositoryManager.run = function run (params) {
  
  const data = {
    message: "",
  };
  const computed = {};
  const methods = {
    exportFeeds: exportFeeds,
    importFeeds: importFeeds,
    exportBoxes: exportBoxes,
    importBoxes: importBoxes,
  };

  function exportFeeds() {
    newslash.admin.exportFeeds().then(
      (resp) => { // succeed
        this.message = "export done.";
      },
      (resp) => { // fail
        this.message = "export failed.";
      }
    );
  };

  function importFeeds() {
    newslash.admin.importFeeds().then(
      (resp) => { // succeed
        this.message = "import done.";
      },
      (resp) => { // fail
        this.message = "import failed.";
      }
    );
  };

  function exportBoxes() {
    newslash.admin.exportBoxes().then(
      (resp) => { // succeed
        this.message = "export done.";
      },
      (resp) => { // fail
        this.message = "export failed.";
      }
    );
  };

  function importBoxes() {
    newslash.admin.importBoxes().then(
      (resp) => { // succeed
        this.message = "import done.";
      },
      (resp) => { // fail
        this.message = "import failed.";
      }
    );
  };

  this.vm = new Vue({el: params.el,
                     data: data,
                     methods: methods,
                    });

};
