var updatePassword = {};

updatePassword.run = function run(params) {

  Vue.component('message', {
    props: ["target", ],
    template: '#message',
  });

  var data = {
    password: "",
    password2: "",
    token: params.token || "",
    nickname: params.nickname || "",
    passwordError: "BLANK_PASSWORD",
    formError: true,
    state: "",
  };

  var methods = {};
  methods.doPost = function doPost() {
    this.state = "POSTING";
    newslash.updatePasswordByToken(this.nickname, this.token, this.password).then(
      (resp) => {
        // ok
        this.state = "SUCCEED";
      },
      (resp) => {
        // failed
        this.passwordError = resp.error || false;
        this.formError = true;
        this.state = "";
      });
  };

  // form value validations
  var watch = {};
  watch.password = function watchPassword(val, oldVal) {
    if (val.length == 0) { this.passwordError = "BLANK_PASSWORD"; }
    else if (val != this.password2) { this.passwordError = "PASSWORD_NOT_MATCH"; }
    else { this.passwordError = ""; }
    this.formError = this.passwordError;
  };
  watch.password2 = function watchPassword2(val, oldVal) {
    if (val != this.password) { this.passwordError = "PASSWORD_NOT_MATCH"; }
    else { this.passwordError = ""; }
    this.formError = this.passwordError;
  };

  var vm = new Vue({
    el: params.el,
    data: data,
    methods: methods,
    watch: watch,
  });

};
