/* vote.js */

$('.vote-body input[type="radio"]').on('click', function(ev) {
  $(".vote-body input.vote-btn").prop('disabled', false);
  return;
});

$(".vote-body input.vote-btn").on('click', function(ev) {
  var qid = $(ev.target).attr("qid");
  var formSelector = "#vote_" + qid;
  var formElement = $(formSelector);
  if (formElement.length == 0) {
    return false;
  }
  var value = $("#vote_" + qid + " input[name=answer]:checked");
  if (value.length == 0) {
    return false;
  }
  newslash.getCsrfToken("vote").then(
    resp => {
      var csrfToken = resp.token;
      if(!csrfToken) {
        if(statusBar) {
          statusBar.error("invalid token");
        }
        return;
      }
      $("#vote_token_" + qid).val(csrfToken);
      formElement.submit();
      return;
    },
    fail => {
      if(statusBar) {
        statusBar.error("failed");
      }
    }
  );
  return false;
});

