#!/bin/sh
#IMAGE=jessie_mojolicious
IMAGE=ns_searchd
DEV_DIR=${HOME}/mojolicious/src
CONTAINER_NAME=ns_searchd
SD_DB=sradcompose_srad-db_1
NETWORK=--network=srad_test
CMD="python /var/newslash/ns_search/ns_searchd.py --index-dir=/var/newslash/ns_search/lucene_index"
CAP="--memory=2gb"
ENV_OPT=""
OPTS="$CAP --link $SD_DB:sd-db --link newslash-db --link newslash-redis --link $SD_MASTER:sd-master -v ${DEV_DIR}:/var/newslash -p 6000:6000 --name $CONTAINER_NAME $ENV_OPT $NETWORK"
docker rm $CONTAINER_NAME
if [ $# -eq 0 ]; then
	docker run -ti $OPTS $IMAGE $CMD
else
	docker run -ti $OPTS $IMAGE "$@"
fi

